org.wildfly.swarm.config.messaging.activemq

## Class Server<T extends Server<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.Server<T>

- Direct Known Subclasses:
    EnhancedServer

      public class Server<T extends Server<T>>
      extends Object

  An ActiveMQ server instance.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Server.JournalType`
    `static class` | `Server.ServerResources` Child mutators for Server

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Server(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `acceptor(Acceptor value)` Add the Acceptor object to the list of subresources
    `T` | `acceptor(AcceptorSupplier supplier)` Install a supplied Acceptor object to the list of subresources
    `T` | `acceptor(String childKey)` Create and configure a Acceptor object to the list of subresources
    `T` | `acceptor(String childKey, AcceptorConsumer consumer)` Create and configure a Acceptor object to the list of subresources
    `T` | `acceptors(List<Acceptor> value)` Add all Acceptor objects to this subresource
    `Boolean` | `active()` Whether the server is active (and accepting connections) or passive (in backup mode, waiting for failover).
    `T` | `active(Boolean value)` Whether the server is active (and accepting connections) or passive (in backup mode, waiting for failover).
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `addressSetting(AddressSetting value)` Add the AddressSetting object to the list of subresources
    `T` | `addressSetting(AddressSettingSupplier supplier)` Install a supplied AddressSetting object to the list of subresources
    `T` | `addressSetting(String childKey)` Create and configure a AddressSetting object to the list of subresources
    `T` | `addressSetting(String childKey, AddressSettingConsumer consumer)` Create and configure a AddressSetting object to the list of subresources
    `T` | `addressSettings(List<AddressSetting> value)` Add all AddressSetting objects to this subresource
    `Boolean` | `asyncConnectionExecutionEnabled()` Whether incoming packets on the server should be handed off to a thread from the thread pool for processing.
    `T` | `asyncConnectionExecutionEnabled(Boolean value)` Whether incoming packets on the server should be handed off to a thread from the thread pool for processing.
    `T` | `bindingsDirectoryPath()` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `bindingsDirectoryPath(BindingsDirectoryPath value)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `bindingsDirectoryPath(BindingsDirectoryPathConsumer consumer)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `bindingsDirectoryPath(BindingsDirectoryPathSupplier supplier)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `bridge(Bridge value)` Add the Bridge object to the list of subresources
    `T` | `bridge(BridgeSupplier supplier)` Install a supplied Bridge object to the list of subresources
    `T` | `bridge(String childKey)` Create and configure a Bridge object to the list of subresources
    `T` | `bridge(String childKey, BridgeConsumer consumer)` Create and configure a Bridge object to the list of subresources
    `T` | `bridges(List<Bridge> value)` Add all Bridge objects to this subresource
    `T` | `broadcastGroup(BroadcastGroup value)` Add the BroadcastGroup object to the list of subresources
    `T` | `broadcastGroup(BroadcastGroupSupplier supplier)` Install a supplied BroadcastGroup object to the list of subresources
    `T` | `broadcastGroup(String childKey)` Create and configure a BroadcastGroup object to the list of subresources
    `T` | `broadcastGroup(String childKey, BroadcastGroupConsumer consumer)` Create and configure a BroadcastGroup object to the list of subresources
    `T` | `broadcastGroups(List<BroadcastGroup> value)` Add all BroadcastGroup objects to this subresource
    `T` | `clusterConnection(ClusterConnection value)` Add the ClusterConnection object to the list of subresources
    `T` | `clusterConnection(ClusterConnectionSupplier supplier)` Install a supplied ClusterConnection object to the list of subresources
    `T` | `clusterConnection(String childKey)` Create and configure a ClusterConnection object to the list of subresources
    `T` | `clusterConnection(String childKey, ClusterConnectionConsumer consumer)` Create and configure a ClusterConnection object to the list of subresources
    `T` | `clusterConnections(List<ClusterConnection> value)` Add all ClusterConnection objects to this subresource
    `Map` | `clusterCredentialReference()` Credential (from Credential Store) to authenticate to cluster
    `T` | `clusterCredentialReference(Map value)` Credential (from Credential Store) to authenticate to cluster
    `T` | `clusterCredentialReference(String key, Object value)` Credential (from Credential Store) to authenticate to cluster
    `String` | `clusterPassword()` The password used by cluster connections to communicate between the clustered nodes.
    `T` | `clusterPassword(String value)` The password used by cluster connections to communicate between the clustered nodes.
    `String` | `clusterUser()` The user used by cluster connections to communicate between the clustered nodes.
    `T` | `clusterUser(String value)` The user used by cluster connections to communicate between the clustered nodes.
    `T` | `connectionFactories(List<ConnectionFactory> value)` Add all ConnectionFactory objects to this subresource
    `T` | `connectionFactory(ConnectionFactory value)` Add the ConnectionFactory object to the list of subresources
    `T` | `connectionFactory(ConnectionFactorySupplier supplier)` Install a supplied ConnectionFactory object to the list of subresources
    `T` | `connectionFactory(String childKey)` Create and configure a ConnectionFactory object to the list of subresources
    `T` | `connectionFactory(String childKey, ConnectionFactoryConsumer consumer)` Create and configure a ConnectionFactory object to the list of subresources
    `Long` | `connectionTtlOverride()` If set, this will override how long (in ms) to keep a connection alive without receiving a ping.
    `T` | `connectionTtlOverride(Long value)` If set, this will override how long (in ms) to keep a connection alive without receiving a ping.
    `T` | `connector(Connector value)` Add the Connector object to the list of subresources
    `T` | `connector(ConnectorSupplier supplier)` Install a supplied Connector object to the list of subresources
    `T` | `connector(String childKey)` Create and configure a Connector object to the list of subresources
    `T` | `connector(String childKey, ConnectorConsumer consumer)` Create and configure a Connector object to the list of subresources
    `T` | `connectors(List<Connector> value)` Add all Connector objects to this subresource
    `T` | `connectorService(ConnectorService value)` Add the ConnectorService object to the list of subresources
    `T` | `connectorService(ConnectorServiceSupplier supplier)` Install a supplied ConnectorService object to the list of subresources
    `T` | `connectorService(String childKey)` Create and configure a ConnectorService object to the list of subresources
    `T` | `connectorService(String childKey, ConnectorServiceConsumer consumer)` Create and configure a ConnectorService object to the list of subresources
    `T` | `connectorServices(List<ConnectorService> value)` Add all ConnectorService objects to this subresource
    `T` | `coreAddress(CoreAddress value)` Add the CoreAddress object to the list of subresources
    `T` | `coreAddress(CoreAddressSupplier supplier)` Install a supplied CoreAddress object to the list of subresources
    `T` | `coreAddress(List<CoreAddress> value)` Add all CoreAddress objects to this subresource
    `T` | `coreAddress(String childKey)` Create and configure a CoreAddress object to the list of subresources
    `T` | `coreAddress(String childKey, CoreAddressConsumer consumer)` Create and configure a CoreAddress object to the list of subresources
    `Boolean` | `createBindingsDir()` Whether the server should create the bindings directory on start up.
    `T` | `createBindingsDir(Boolean value)` Whether the server should create the bindings directory on start up.
    `Boolean` | `createJournalDir()` Whether the server should create the journal directory on start up.
    `T` | `createJournalDir(Boolean value)` Whether the server should create the journal directory on start up.
    `T` | `discoveryGroup(DiscoveryGroup value)` Add the DiscoveryGroup object to the list of subresources
    `T` | `discoveryGroup(DiscoveryGroupSupplier supplier)` Install a supplied DiscoveryGroup object to the list of subresources
    `T` | `discoveryGroup(String childKey)` Create and configure a DiscoveryGroup object to the list of subresources
    `T` | `discoveryGroup(String childKey, DiscoveryGroupConsumer consumer)` Create and configure a DiscoveryGroup object to the list of subresources
    `T` | `discoveryGroups(List<DiscoveryGroup> value)` Add all DiscoveryGroup objects to this subresource
    `T` | `divert(Divert value)` Add the Divert object to the list of subresources
    `T` | `divert(DivertSupplier supplier)` Install a supplied Divert object to the list of subresources
    `T` | `divert(String childKey)` Create and configure a Divert object to the list of subresources
    `T` | `divert(String childKey, DivertConsumer consumer)` Create and configure a Divert object to the list of subresources
    `T` | `diverts(List<Divert> value)` Add all Divert objects to this subresource
    `String` | `elytronDomain()` The name of the Elytron security domain used to verify user and role information.
    `T` | `elytronDomain(String value)` The name of the Elytron security domain used to verify user and role information.
    `String` | `getKey()`
    `T` | `groupingHandler(GroupingHandler value)` Add the GroupingHandler object to the list of subresources
    `T` | `groupingHandler(GroupingHandlerSupplier supplier)` Install a supplied GroupingHandler object to the list of subresources
    `T` | `groupingHandler(String childKey)` Create and configure a GroupingHandler object to the list of subresources
    `T` | `groupingHandler(String childKey, GroupingHandlerConsumer consumer)` Create and configure a GroupingHandler object to the list of subresources
    `T` | `groupingHandlers(List<GroupingHandler> value)` Add all GroupingHandler objects to this subresource
    `T` | `httpAcceptor(HTTPAcceptor value)` Add the HTTPAcceptor object to the list of subresources
    `T` | `httpAcceptor(HTTPAcceptorSupplier supplier)` Install a supplied HTTPAcceptor object to the list of subresources
    `T` | `httpAcceptor(String childKey)` Create and configure a HTTPAcceptor object to the list of subresources
    `T` | `httpAcceptor(String childKey, HTTPAcceptorConsumer consumer)` Create and configure a HTTPAcceptor object to the list of subresources
    `T` | `httpAcceptors(List<HTTPAcceptor> value)` Add all HTTPAcceptor objects to this subresource
    `T` | `httpConnector(HTTPConnector value)` Add the HTTPConnector object to the list of subresources
    `T` | `httpConnector(HTTPConnectorSupplier supplier)` Install a supplied HTTPConnector object to the list of subresources
    `T` | `httpConnector(String childKey)` Create and configure a HTTPConnector object to the list of subresources
    `T` | `httpConnector(String childKey, HTTPConnectorConsumer consumer)` Create and configure a HTTPConnector object to the list of subresources
    `T` | `httpConnectors(List<HTTPConnector> value)` Add all HTTPConnector objects to this subresource
    `Integer` | `idCacheSize()` The size of the cache for pre-creating message IDs.
    `T` | `idCacheSize(Integer value)` The size of the cache for pre-creating message IDs.
    `T` | `incomingInterceptor(Map value)` The list of incoming interceptor classes used by this server.
    `List<Map>` | `incomingInterceptors()` The list of incoming interceptor classes used by this server.
    `T` | `incomingInterceptors(List<Map> value)` The list of incoming interceptor classes used by this server.
    `T` | `incomingInterceptors(Map... args)` The list of incoming interceptor classes used by this server.
    `T` | `inVmAcceptor(InVMAcceptor value)` Add the InVMAcceptor object to the list of subresources
    `T` | `inVmAcceptor(InVMAcceptorSupplier supplier)` Install a supplied InVMAcceptor object to the list of subresources
    `T` | `inVmAcceptor(String childKey)` Create and configure a InVMAcceptor object to the list of subresources
    `T` | `inVmAcceptor(String childKey, InVMAcceptorConsumer consumer)` Create and configure a InVMAcceptor object to the list of subresources
    `T` | `inVmAcceptors(List<InVMAcceptor> value)` Add all InVMAcceptor objects to this subresource
    `T` | `inVmConnector(InVMConnector value)` Add the InVMConnector object to the list of subresources
    `T` | `inVmConnector(InVMConnectorSupplier supplier)` Install a supplied InVMConnector object to the list of subresources
    `T` | `inVmConnector(String childKey)` Create and configure a InVMConnector object to the list of subresources
    `T` | `inVmConnector(String childKey, InVMConnectorConsumer consumer)` Create and configure a InVMConnector object to the list of subresources
    `T` | `inVmConnectors(List<InVMConnector> value)` Add all InVMConnector objects to this subresource
    `T` | `jmsQueue(JMSQueue value)` Add the JMSQueue object to the list of subresources
    `T` | `jmsQueue(JMSQueueSupplier supplier)` Install a supplied JMSQueue object to the list of subresources
    `T` | `jmsQueue(String childKey)` Create and configure a JMSQueue object to the list of subresources
    `T` | `jmsQueue(String childKey, JMSQueueConsumer consumer)` Create and configure a JMSQueue object to the list of subresources
    `T` | `jmsQueues(List<JMSQueue> value)` Add all JMSQueue objects to this subresource
    `T` | `jmsTopic(JMSTopic value)` Add the JMSTopic object to the list of subresources
    `T` | `jmsTopic(JMSTopicSupplier supplier)` Install a supplied JMSTopic object to the list of subresources
    `T` | `jmsTopic(String childKey)` Create and configure a JMSTopic object to the list of subresources
    `T` | `jmsTopic(String childKey, JMSTopicConsumer consumer)` Create and configure a JMSTopic object to the list of subresources
    `T` | `jmsTopics(List<JMSTopic> value)` Add all JMSTopic objects to this subresource
    `String` | `jmxDomain()` The JMX domain used to register internal ActiveMQ MBeans in the MBeanServer.
    `T` | `jmxDomain(String value)` The JMX domain used to register internal ActiveMQ MBeans in the MBeanServer.
    `Boolean` | `jmxManagementEnabled()` Whether ActiveMQ should expose its internal management API via JMX.
    `T` | `jmxManagementEnabled(Boolean value)` Whether ActiveMQ should expose its internal management API via JMX.
    `String` | `journalBindingsTable()` Name of the JDBC table to store the bindings.
    `T` | `journalBindingsTable(String value)` Name of the JDBC table to store the bindings.
    `Long` | `journalBufferSize()` The size of the internal buffer on the journal.
    `T` | `journalBufferSize(Long value)` The size of the internal buffer on the journal.
    `Long` | `journalBufferTimeout()` The timeout (in nanoseconds) used to flush internal buffers on the journal.
    `T` | `journalBufferTimeout(Long value)` The timeout (in nanoseconds) used to flush internal buffers on the journal.
    `Integer` | `journalCompactMinFiles()` The minimal number of journal data files before we can start compacting.
    `T` | `journalCompactMinFiles(Integer value)` The minimal number of journal data files before we can start compacting.
    `Integer` | `journalCompactPercentage()` The percentage of live data on which we consider compacting the journal.
    `T` | `journalCompactPercentage(Integer value)` The percentage of live data on which we consider compacting the journal.
    `String` | `journalDatabase()` Type of the database (can be used to customize SQL statements).
    `T` | `journalDatabase(String value)` Type of the database (can be used to customize SQL statements).
    `String` | `journalDatasource()` Name of the DataSource for the JDBC store.
    `T` | `journalDatasource(String value)` Name of the DataSource for the JDBC store.
    `T` | `journalDirectoryPath()` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `journalDirectoryPath(JournalDirectoryPath value)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `journalDirectoryPath(JournalDirectoryPathConsumer consumer)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `journalDirectoryPath(JournalDirectoryPathSupplier supplier)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `Long` | `journalFileSize()` The size (in bytes) of each journal file.
    `T` | `journalFileSize(Long value)` The size (in bytes) of each journal file.
    `Integer` | `journalJdbcNetworkTimeout()` The timeout used by the JDBC connection to detect network issues.
    `T` | `journalJdbcNetworkTimeout(Integer value)` The timeout used by the JDBC connection to detect network issues.
    `String` | `journalJmsBindingsTable()` Name of the JDBC table to store the JMS bindings.
    `T` | `journalJmsBindingsTable(String value)` Name of the JDBC table to store the JMS bindings.
    `String` | `journalLargeMessagesTable()` Name of the JDBC table to store the large messages.
    `T` | `journalLargeMessagesTable(String value)` Name of the JDBC table to store the large messages.
    `Integer` | `journalMaxIo()` The maximum number of write requests that can be in the AIO queue at any one time.
    `T` | `journalMaxIo(Integer value)` The maximum number of write requests that can be in the AIO queue at any one time.
    `String` | `journalMessagesTable()` Name of the JDBC table to store the messages.
    `T` | `journalMessagesTable(String value)` Name of the JDBC table to store the messages.
    `Integer` | `journalMinFiles()` How many journal files to pre-create.
    `T` | `journalMinFiles(Integer value)` How many journal files to pre-create.
    `String` | `journalPageStoreTable()` Name of the JDBC table to store pages.
    `T` | `journalPageStoreTable(String value)` Name of the JDBC table to store pages.
    `Integer` | `journalPoolFiles()` The number of journal files that can be reused.
    `T` | `journalPoolFiles(Integer value)` The number of journal files that can be reused.
    `Boolean` | `journalSyncNonTransactional()` Whether to wait for non transaction data to be synced to the journal before returning a response to the client.
    `T` | `journalSyncNonTransactional(Boolean value)` Whether to wait for non transaction data to be synced to the journal before returning a response to the client.
    `Boolean` | `journalSyncTransactional()` Whether to wait for transaction data to be synchronized to the journal before returning a response to the client.
    `T` | `journalSyncTransactional(Boolean value)` Whether to wait for transaction data to be synchronized to the journal before returning a response to the client.
    `Server.JournalType` | `journalType()` The type of journal to use.
    `T` | `journalType(Server.JournalType value)` The type of journal to use.
    `T` | `largeMessagesDirectoryPath()` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `largeMessagesDirectoryPath(LargeMessagesDirectoryPath value)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `largeMessagesDirectoryPath(LargeMessagesDirectoryPathConsumer consumer)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `largeMessagesDirectoryPath(LargeMessagesDirectoryPathSupplier supplier)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `legacyConnectionFactories(List<LegacyConnectionFactory> value)` Add all LegacyConnectionFactory objects to this subresource
    `T` | `legacyConnectionFactory(LegacyConnectionFactory value)` Add the LegacyConnectionFactory object to the list of subresources
    `T` | `legacyConnectionFactory(LegacyConnectionFactorySupplier supplier)` Install a supplied LegacyConnectionFactory object to the list of subresources
    `T` | `legacyConnectionFactory(String childKey)` Create and configure a LegacyConnectionFactory object to the list of subresources
    `T` | `legacyConnectionFactory(String childKey, LegacyConnectionFactoryConsumer consumer)` Create and configure a LegacyConnectionFactory object to the list of subresources
    `T` | `liveOnlyHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `liveOnlyHaPolicy(LiveOnlyHAPolicy value)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `liveOnlyHaPolicy(LiveOnlyHAPolicyConsumer consumer)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `liveOnlyHaPolicy(LiveOnlyHAPolicySupplier supplier)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `Boolean` | `logJournalWriteRate()` Whether to periodically log the journal's write rate and flush rate.
    `T` | `logJournalWriteRate(Boolean value)` Whether to periodically log the journal's write rate and flush rate.
    `String` | `managementAddress()` Address to send management messages to.
    `T` | `managementAddress(String value)` Address to send management messages to.
    `String` | `managementNotificationAddress()` The name of the address that consumers bind to to receive management notifications.
    `T` | `managementNotificationAddress(String value)` The name of the address that consumers bind to to receive management notifications.
    `Long` | `memoryMeasureInterval()` Frequency to sample JVM memory in ms (or -1 to disable memory sampling)
    `T` | `memoryMeasureInterval(Long value)` Frequency to sample JVM memory in ms (or -1 to disable memory sampling)
    `Integer` | `memoryWarningThreshold()` Percentage of available memory which if exceeded results in a warning log
    `T` | `memoryWarningThreshold(Integer value)` Percentage of available memory which if exceeded results in a warning log
    `Integer` | `messageCounterMaxDayHistory()` How many days to keep message counter history.
    `T` | `messageCounterMaxDayHistory(Integer value)` How many days to keep message counter history.
    `Long` | `messageCounterSamplePeriod()` The sample period (in ms) to use for message counters.
    `T` | `messageCounterSamplePeriod(Long value)` The sample period (in ms) to use for message counters.
    `Long` | `messageExpiryScanPeriod()` How often (in ms) to scan for expired messages.
    `T` | `messageExpiryScanPeriod(Long value)` How often (in ms) to scan for expired messages.
    `Integer` | `messageExpiryThreadPriority()` The priority of the thread expiring messages.
    `T` | `messageExpiryThreadPriority(Integer value)` The priority of the thread expiring messages.
    `T` | `outgoingInterceptor(Map value)` The list of outgoing interceptor classes used by this server.
    `List<Map>` | `outgoingInterceptors()` The list of outgoing interceptor classes used by this server.
    `T` | `outgoingInterceptors(List<Map> value)` The list of outgoing interceptor classes used by this server.
    `T` | `outgoingInterceptors(Map... args)` The list of outgoing interceptor classes used by this server.
    `Boolean` | `overrideInVmSecurity()` Whether the ActiveMQ server will override security credentials for in-vm connections.
    `T` | `overrideInVmSecurity(Boolean value)` Whether the ActiveMQ server will override security credentials for in-vm connections.
    `Integer` | `pageMaxConcurrentIo()` The maximum number of concurrent reads allowed on paging
    `T` | `pageMaxConcurrentIo(Integer value)` The maximum number of concurrent reads allowed on paging
    `T` | `pagingDirectoryPath()` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `pagingDirectoryPath(PagingDirectoryPath value)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `pagingDirectoryPath(PagingDirectoryPathConsumer consumer)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `T` | `pagingDirectoryPath(PagingDirectoryPathSupplier supplier)` A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.
    `Integer` | `perfBlastPages()` Number of pages to add to check the journal performance (only meant to be used to test performance of pages).
    `T` | `perfBlastPages(Integer value)` Number of pages to add to check the journal performance (only meant to be used to test performance of pages).
    `Boolean` | `persistDeliveryCountBeforeDelivery()` Whether the delivery count is persisted before delivery.
    `T` | `persistDeliveryCountBeforeDelivery(Boolean value)` Whether the delivery count is persisted before delivery.
    `Boolean` | `persistenceEnabled()` Whether the server will use the file based journal for persistence.
    `T` | `persistenceEnabled(Boolean value)` Whether the server will use the file based journal for persistence.
    `Boolean` | `persistIdCache()` Whether IDs are persisted to the journal.
    `T` | `persistIdCache(Boolean value)` Whether IDs are persisted to the journal.
    `T` | `pooledConnectionFactories(List<PooledConnectionFactory> value)` Add all PooledConnectionFactory objects to this subresource
    `T` | `pooledConnectionFactory(PooledConnectionFactory value)` Add the PooledConnectionFactory object to the list of subresources
    `T` | `pooledConnectionFactory(PooledConnectionFactorySupplier supplier)` Install a supplied PooledConnectionFactory object to the list of subresources
    `T` | `pooledConnectionFactory(String childKey)` Create and configure a PooledConnectionFactory object to the list of subresources
    `T` | `pooledConnectionFactory(String childKey, PooledConnectionFactoryConsumer consumer)` Create and configure a PooledConnectionFactory object to the list of subresources
    `T` | `queue(Queue value)` Add the Queue object to the list of subresources
    `T` | `queue(QueueSupplier supplier)` Install a supplied Queue object to the list of subresources
    `T` | `queue(String childKey)` Create and configure a Queue object to the list of subresources
    `T` | `queue(String childKey, QueueConsumer consumer)` Create and configure a Queue object to the list of subresources
    `T` | `queues(List<Queue> value)` Add all Queue objects to this subresource
    `T` | `remoteAcceptor(RemoteAcceptor value)` Add the RemoteAcceptor object to the list of subresources
    `T` | `remoteAcceptor(RemoteAcceptorSupplier supplier)` Install a supplied RemoteAcceptor object to the list of subresources
    `T` | `remoteAcceptor(String childKey)` Create and configure a RemoteAcceptor object to the list of subresources
    `T` | `remoteAcceptor(String childKey, RemoteAcceptorConsumer consumer)` Create and configure a RemoteAcceptor object to the list of subresources
    `T` | `remoteAcceptors(List<RemoteAcceptor> value)` Add all RemoteAcceptor objects to this subresource
    `T` | `remoteConnector(RemoteConnector value)` Add the RemoteConnector object to the list of subresources
    `T` | `remoteConnector(RemoteConnectorSupplier supplier)` Install a supplied RemoteConnector object to the list of subresources
    `T` | `remoteConnector(String childKey)` Create and configure a RemoteConnector object to the list of subresources
    `T` | `remoteConnector(String childKey, RemoteConnectorConsumer consumer)` Create and configure a RemoteConnector object to the list of subresources
    `T` | `remoteConnectors(List<RemoteConnector> value)` Add all RemoteConnector objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `replicationColocatedHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `replicationColocatedHaPolicy(ReplicationColocatedHAPolicy value)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `replicationColocatedHaPolicy(ReplicationColocatedHAPolicyConsumer consumer)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `replicationColocatedHaPolicy(ReplicationColocatedHAPolicySupplier supplier)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `replicationMasterHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `replicationMasterHaPolicy(ReplicationMasterHAPolicy value)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `replicationMasterHaPolicy(ReplicationMasterHAPolicyConsumer consumer)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `replicationMasterHaPolicy(ReplicationMasterHAPolicySupplier supplier)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `replicationSlaveHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `replicationSlaveHaPolicy(ReplicationSlaveHAPolicy value)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `replicationSlaveHaPolicy(ReplicationSlaveHAPolicyConsumer consumer)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `replicationSlaveHaPolicy(ReplicationSlaveHAPolicySupplier supplier)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `Boolean` | `runSyncSpeedTest()` Whether on startup to perform a diagnostic test on how fast your disk can sync.
    `T` | `runSyncSpeedTest(Boolean value)` Whether on startup to perform a diagnostic test on how fast your disk can sync.
    `T` | `runtimeQueue(RuntimeQueue value)` Add the RuntimeQueue object to the list of subresources
    `T` | `runtimeQueue(RuntimeQueueSupplier supplier)` Install a supplied RuntimeQueue object to the list of subresources
    `T` | `runtimeQueue(String childKey)` Create and configure a RuntimeQueue object to the list of subresources
    `T` | `runtimeQueue(String childKey, RuntimeQueueConsumer consumer)` Create and configure a RuntimeQueue object to the list of subresources
    `T` | `runtimeQueues(List<RuntimeQueue> value)` Add all RuntimeQueue objects to this subresource
    `Integer` | `scheduledThreadPoolMaxSize()` The number of threads that the main scheduled thread pool has.
    `T` | `scheduledThreadPoolMaxSize(Integer value)` The number of threads that the main scheduled thread pool has.
    `Boolean` | `securityEnabled()` Whether security is enabled.
    `T` | `securityEnabled(Boolean value)` Whether security is enabled.
    `Long` | `securityInvalidationInterval()` How long (in ms) to wait before invalidating the security cache.
    `T` | `securityInvalidationInterval(Long value)` How long (in ms) to wait before invalidating the security cache.
    `T` | `securitySetting(SecuritySetting value)` Add the SecuritySetting object to the list of subresources
    `T` | `securitySetting(SecuritySettingSupplier supplier)` Install a supplied SecuritySetting object to the list of subresources
    `T` | `securitySetting(String childKey)` Create and configure a SecuritySetting object to the list of subresources
    `T` | `securitySetting(String childKey, SecuritySettingConsumer consumer)` Create and configure a SecuritySetting object to the list of subresources
    `T` | `securitySettings(List<SecuritySetting> value)` Add all SecuritySetting objects to this subresource
    `Long` | `serverDumpInterval()` How often to dump basic runtime information to the server log.
    `T` | `serverDumpInterval(Long value)` How often to dump basic runtime information to the server log.
    `T` | `sharedStoreColocatedHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `sharedStoreColocatedHaPolicy(SharedStoreColocatedHAPolicy value)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `sharedStoreColocatedHaPolicy(SharedStoreColocatedHAPolicyConsumer consumer)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `sharedStoreColocatedHaPolicy(SharedStoreColocatedHAPolicySupplier supplier)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `sharedStoreMasterHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `sharedStoreMasterHaPolicy(SharedStoreMasterHAPolicy value)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `sharedStoreMasterHaPolicy(SharedStoreMasterHAPolicyConsumer consumer)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `sharedStoreMasterHaPolicy(SharedStoreMasterHAPolicySupplier supplier)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `sharedStoreSlaveHaPolicy()` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `sharedStoreSlaveHaPolicy(SharedStoreSlaveHAPolicy value)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `sharedStoreSlaveHaPolicy(SharedStoreSlaveHAPolicyConsumer consumer)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `T` | `sharedStoreSlaveHaPolicy(SharedStoreSlaveHAPolicySupplier supplier)` A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
    `Boolean` | `started()` Whether this server is started.
    `T` | `started(Boolean value)` Whether this server is started.
    `Boolean` | `statisticsEnabled()` Whether gathering of statistics such as message counters are enabled.
    `T` | `statisticsEnabled(Boolean value)` Whether gathering of statistics such as message counters are enabled.
    `Server.ServerResources` | `subresources()`
    `Integer` | `threadPoolMaxSize()` The number of threads that the main thread pool has.
    `T` | `threadPoolMaxSize(Integer value)` The number of threads that the main thread pool has.
    `Long` | `transactionTimeout()` How long (in ms) before a transaction can be removed from the resource manager after create time.
    `T` | `transactionTimeout(Long value)` How long (in ms) before a transaction can be removed from the resource manager after create time.
    `Long` | `transactionTimeoutScanPeriod()` How often (in ms) to scan for timeout transactions.
    `T` | `transactionTimeoutScanPeriod(Long value)` How often (in ms) to scan for timeout transactions.
    `String` | `version()` The server's version.
    `T` | `version(String value)` The server's version.
    `Boolean` | `wildCardRoutingEnabled()` Whether the server supports wild card routing.
    `T` | `wildCardRoutingEnabled(Boolean value)` Whether the server supports wild card routing.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Server

          public Server(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Server.ServerResources subresources()

    - #### connectorServices

          public T connectorServices(List<ConnectorService> value)

      Add all ConnectorService objects to this subresource
      Parameters:
        `value` - List of ConnectorService objects.
      Returns:
        this

    - #### connectorService

          public T connectorService(ConnectorService value)

      Add the ConnectorService object to the list of subresources
      Parameters:
        `value` - The ConnectorService to add
      Returns:
        this

    - #### connectorService

          public T connectorService(String childKey,
                                    ConnectorServiceConsumer consumer)

      Create and configure a ConnectorService object to the list of subresources
      Parameters:
        `key` - The key for the ConnectorService resource
        `config` - The ConnectorServiceConsumer to use
      Returns:
        this

    - #### connectorService

          public T connectorService(String childKey)

      Create and configure a ConnectorService object to the list of subresources
      Parameters:
        `key` - The key for the ConnectorService resource
      Returns:
        this

    - #### connectorService

          public T connectorService(ConnectorServiceSupplier supplier)

      Install a supplied ConnectorService object to the list of subresources

    - #### httpAcceptors

          public T httpAcceptors(List<HTTPAcceptor> value)

      Add all HTTPAcceptor objects to this subresource
      Parameters:
        `value` - List of HTTPAcceptor objects.
      Returns:
        this

    - #### httpAcceptor

          public T httpAcceptor(HTTPAcceptor value)

      Add the HTTPAcceptor object to the list of subresources
      Parameters:
        `value` - The HTTPAcceptor to add
      Returns:
        this

    - #### httpAcceptor

          public T httpAcceptor(String childKey,
                                HTTPAcceptorConsumer consumer)

      Create and configure a HTTPAcceptor object to the list of subresources
      Parameters:
        `key` - The key for the HTTPAcceptor resource
        `config` - The HTTPAcceptorConsumer to use
      Returns:
        this

    - #### httpAcceptor

          public T httpAcceptor(String childKey)

      Create and configure a HTTPAcceptor object to the list of subresources
      Parameters:
        `key` - The key for the HTTPAcceptor resource
      Returns:
        this

    - #### httpAcceptor

          public T httpAcceptor(HTTPAcceptorSupplier supplier)

      Install a supplied HTTPAcceptor object to the list of subresources

    - #### clusterConnections

          public T clusterConnections(List<ClusterConnection> value)

      Add all ClusterConnection objects to this subresource
      Parameters:
        `value` - List of ClusterConnection objects.
      Returns:
        this

    - #### clusterConnection

          public T clusterConnection(ClusterConnection value)

      Add the ClusterConnection object to the list of subresources
      Parameters:
        `value` - The ClusterConnection to add
      Returns:
        this

    - #### clusterConnection

          public T clusterConnection(String childKey,
                                     ClusterConnectionConsumer consumer)

      Create and configure a ClusterConnection object to the list of subresources
      Parameters:
        `key` - The key for the ClusterConnection resource
        `config` - The ClusterConnectionConsumer to use
      Returns:
        this

    - #### clusterConnection

          public T clusterConnection(String childKey)

      Create and configure a ClusterConnection object to the list of subresources
      Parameters:
        `key` - The key for the ClusterConnection resource
      Returns:
        this

    - #### clusterConnection

          public T clusterConnection(ClusterConnectionSupplier supplier)

      Install a supplied ClusterConnection object to the list of subresources

    - #### broadcastGroups

          public T broadcastGroups(List<BroadcastGroup> value)

      Add all BroadcastGroup objects to this subresource
      Parameters:
        `value` - List of BroadcastGroup objects.
      Returns:
        this

    - #### broadcastGroup

          public T broadcastGroup(BroadcastGroup value)

      Add the BroadcastGroup object to the list of subresources
      Parameters:
        `value` - The BroadcastGroup to add
      Returns:
        this

    - #### broadcastGroup

          public T broadcastGroup(String childKey,
                                  BroadcastGroupConsumer consumer)

      Create and configure a BroadcastGroup object to the list of subresources
      Parameters:
        `key` - The key for the BroadcastGroup resource
        `config` - The BroadcastGroupConsumer to use
      Returns:
        this

    - #### broadcastGroup

          public T broadcastGroup(String childKey)

      Create and configure a BroadcastGroup object to the list of subresources
      Parameters:
        `key` - The key for the BroadcastGroup resource
      Returns:
        this

    - #### broadcastGroup

          public T broadcastGroup(BroadcastGroupSupplier supplier)

      Install a supplied BroadcastGroup object to the list of subresources

    - #### runtimeQueues

          public T runtimeQueues(List<RuntimeQueue> value)

      Add all RuntimeQueue objects to this subresource
      Parameters:
        `value` - List of RuntimeQueue objects.
      Returns:
        this

    - #### runtimeQueue

          public T runtimeQueue(RuntimeQueue value)

      Add the RuntimeQueue object to the list of subresources
      Parameters:
        `value` - The RuntimeQueue to add
      Returns:
        this

    - #### runtimeQueue

          public T runtimeQueue(String childKey,
                                RuntimeQueueConsumer consumer)

      Create and configure a RuntimeQueue object to the list of subresources
      Parameters:
        `key` - The key for the RuntimeQueue resource
        `config` - The RuntimeQueueConsumer to use
      Returns:
        this

    - #### runtimeQueue

          public T runtimeQueue(String childKey)

      Create and configure a RuntimeQueue object to the list of subresources
      Parameters:
        `key` - The key for the RuntimeQueue resource
      Returns:
        this

    - #### runtimeQueue

          public T runtimeQueue(RuntimeQueueSupplier supplier)

      Install a supplied RuntimeQueue object to the list of subresources

    - #### addressSettings

          public T addressSettings(List<AddressSetting> value)

      Add all AddressSetting objects to this subresource
      Parameters:
        `value` - List of AddressSetting objects.
      Returns:
        this

    - #### addressSetting

          public T addressSetting(AddressSetting value)

      Add the AddressSetting object to the list of subresources
      Parameters:
        `value` - The AddressSetting to add
      Returns:
        this

    - #### addressSetting

          public T addressSetting(String childKey,
                                  AddressSettingConsumer consumer)

      Create and configure a AddressSetting object to the list of subresources
      Parameters:
        `key` - The key for the AddressSetting resource
        `config` - The AddressSettingConsumer to use
      Returns:
        this

    - #### addressSetting

          public T addressSetting(String childKey)

      Create and configure a AddressSetting object to the list of subresources
      Parameters:
        `key` - The key for the AddressSetting resource
      Returns:
        this

    - #### addressSetting

          public T addressSetting(AddressSettingSupplier supplier)

      Install a supplied AddressSetting object to the list of subresources

    - #### jmsQueues

          public T jmsQueues(List<JMSQueue> value)

      Add all JMSQueue objects to this subresource
      Parameters:
        `value` - List of JMSQueue objects.
      Returns:
        this

    - #### jmsQueue

          public T jmsQueue(JMSQueue value)

      Add the JMSQueue object to the list of subresources
      Parameters:
        `value` - The JMSQueue to add
      Returns:
        this

    - #### jmsQueue

          public T jmsQueue(String childKey,
                            JMSQueueConsumer consumer)

      Create and configure a JMSQueue object to the list of subresources
      Parameters:
        `key` - The key for the JMSQueue resource
        `config` - The JMSQueueConsumer to use
      Returns:
        this

    - #### jmsQueue

          public T jmsQueue(String childKey)

      Create and configure a JMSQueue object to the list of subresources
      Parameters:
        `key` - The key for the JMSQueue resource
      Returns:
        this

    - #### jmsQueue

          public T jmsQueue(JMSQueueSupplier supplier)

      Install a supplied JMSQueue object to the list of subresources

    - #### pooledConnectionFactories

          public T pooledConnectionFactories(List<PooledConnectionFactory> value)

      Add all PooledConnectionFactory objects to this subresource
      Parameters:
        `value` - List of PooledConnectionFactory objects.
      Returns:
        this

    - #### pooledConnectionFactory

          public T pooledConnectionFactory(PooledConnectionFactory value)

      Add the PooledConnectionFactory object to the list of subresources
      Parameters:
        `value` - The PooledConnectionFactory to add
      Returns:
        this

    - #### pooledConnectionFactory

          public T pooledConnectionFactory(String childKey,
                                           PooledConnectionFactoryConsumer consumer)

      Create and configure a PooledConnectionFactory object to the list of subresources
      Parameters:
        `key` - The key for the PooledConnectionFactory resource
        `config` - The PooledConnectionFactoryConsumer to use
      Returns:
        this

    - #### pooledConnectionFactory

          public T pooledConnectionFactory(String childKey)

      Create and configure a PooledConnectionFactory object to the list of subresources
      Parameters:
        `key` - The key for the PooledConnectionFactory resource
      Returns:
        this

    - #### pooledConnectionFactory

          public T pooledConnectionFactory(PooledConnectionFactorySupplier supplier)

      Install a supplied PooledConnectionFactory object to the list of subresources

    - #### diverts

          public T diverts(List<Divert> value)

      Add all Divert objects to this subresource
      Parameters:
        `value` - List of Divert objects.
      Returns:
        this

    - #### divert

          public T divert(Divert value)

      Add the Divert object to the list of subresources
      Parameters:
        `value` - The Divert to add
      Returns:
        this

    - #### divert

          public T divert(String childKey,
                          DivertConsumer consumer)

      Create and configure a Divert object to the list of subresources
      Parameters:
        `key` - The key for the Divert resource
        `config` - The DivertConsumer to use
      Returns:
        this

    - #### divert

          public T divert(String childKey)

      Create and configure a Divert object to the list of subresources
      Parameters:
        `key` - The key for the Divert resource
      Returns:
        this

    - #### divert

          public T divert(DivertSupplier supplier)

      Install a supplied Divert object to the list of subresources

    - #### inVmAcceptors

          public T inVmAcceptors(List<InVMAcceptor> value)

      Add all InVMAcceptor objects to this subresource
      Parameters:
        `value` - List of InVMAcceptor objects.
      Returns:
        this

    - #### inVmAcceptor

          public T inVmAcceptor(InVMAcceptor value)

      Add the InVMAcceptor object to the list of subresources
      Parameters:
        `value` - The InVMAcceptor to add
      Returns:
        this

    - #### inVmAcceptor

          public T inVmAcceptor(String childKey,
                                InVMAcceptorConsumer consumer)

      Create and configure a InVMAcceptor object to the list of subresources
      Parameters:
        `key` - The key for the InVMAcceptor resource
        `config` - The InVMAcceptorConsumer to use
      Returns:
        this

    - #### inVmAcceptor

          public T inVmAcceptor(String childKey)

      Create and configure a InVMAcceptor object to the list of subresources
      Parameters:
        `key` - The key for the InVMAcceptor resource
      Returns:
        this

    - #### inVmAcceptor

          public T inVmAcceptor(InVMAcceptorSupplier supplier)

      Install a supplied InVMAcceptor object to the list of subresources

    - #### discoveryGroups

          public T discoveryGroups(List<DiscoveryGroup> value)

      Add all DiscoveryGroup objects to this subresource
      Parameters:
        `value` - List of DiscoveryGroup objects.
      Returns:
        this

    - #### discoveryGroup

          public T discoveryGroup(DiscoveryGroup value)

      Add the DiscoveryGroup object to the list of subresources
      Parameters:
        `value` - The DiscoveryGroup to add
      Returns:
        this

    - #### discoveryGroup

          public T discoveryGroup(String childKey,
                                  DiscoveryGroupConsumer consumer)

      Create and configure a DiscoveryGroup object to the list of subresources
      Parameters:
        `key` - The key for the DiscoveryGroup resource
        `config` - The DiscoveryGroupConsumer to use
      Returns:
        this

    - #### discoveryGroup

          public T discoveryGroup(String childKey)

      Create and configure a DiscoveryGroup object to the list of subresources
      Parameters:
        `key` - The key for the DiscoveryGroup resource
      Returns:
        this

    - #### discoveryGroup

          public T discoveryGroup(DiscoveryGroupSupplier supplier)

      Install a supplied DiscoveryGroup object to the list of subresources

    - #### httpConnectors

          public T httpConnectors(List<HTTPConnector> value)

      Add all HTTPConnector objects to this subresource
      Parameters:
        `value` - List of HTTPConnector objects.
      Returns:
        this

    - #### httpConnector

          public T httpConnector(HTTPConnector value)

      Add the HTTPConnector object to the list of subresources
      Parameters:
        `value` - The HTTPConnector to add
      Returns:
        this

    - #### httpConnector

          public T httpConnector(String childKey,
                                 HTTPConnectorConsumer consumer)

      Create and configure a HTTPConnector object to the list of subresources
      Parameters:
        `key` - The key for the HTTPConnector resource
        `config` - The HTTPConnectorConsumer to use
      Returns:
        this

    - #### httpConnector

          public T httpConnector(String childKey)

      Create and configure a HTTPConnector object to the list of subresources
      Parameters:
        `key` - The key for the HTTPConnector resource
      Returns:
        this

    - #### httpConnector

          public T httpConnector(HTTPConnectorSupplier supplier)

      Install a supplied HTTPConnector object to the list of subresources

    - #### connectionFactories

          public T connectionFactories(List<ConnectionFactory> value)

      Add all ConnectionFactory objects to this subresource
      Parameters:
        `value` - List of ConnectionFactory objects.
      Returns:
        this

    - #### connectionFactory

          public T connectionFactory(ConnectionFactory value)

      Add the ConnectionFactory object to the list of subresources
      Parameters:
        `value` - The ConnectionFactory to add
      Returns:
        this

    - #### connectionFactory

          public T connectionFactory(String childKey,
                                     ConnectionFactoryConsumer consumer)

      Create and configure a ConnectionFactory object to the list of subresources
      Parameters:
        `key` - The key for the ConnectionFactory resource
        `config` - The ConnectionFactoryConsumer to use
      Returns:
        this

    - #### connectionFactory

          public T connectionFactory(String childKey)

      Create and configure a ConnectionFactory object to the list of subresources
      Parameters:
        `key` - The key for the ConnectionFactory resource
      Returns:
        this

    - #### connectionFactory

          public T connectionFactory(ConnectionFactorySupplier supplier)

      Install a supplied ConnectionFactory object to the list of subresources

    - #### acceptors

          public T acceptors(List<Acceptor> value)

      Add all Acceptor objects to this subresource
      Parameters:
        `value` - List of Acceptor objects.
      Returns:
        this

    - #### acceptor

          public T acceptor(Acceptor value)

      Add the Acceptor object to the list of subresources
      Parameters:
        `value` - The Acceptor to add
      Returns:
        this

    - #### acceptor

          public T acceptor(String childKey,
                            AcceptorConsumer consumer)

      Create and configure a Acceptor object to the list of subresources
      Parameters:
        `key` - The key for the Acceptor resource
        `config` - The AcceptorConsumer to use
      Returns:
        this

    - #### acceptor

          public T acceptor(String childKey)

      Create and configure a Acceptor object to the list of subresources
      Parameters:
        `key` - The key for the Acceptor resource
      Returns:
        this

    - #### acceptor

          public T acceptor(AcceptorSupplier supplier)

      Install a supplied Acceptor object to the list of subresources

    - #### remoteAcceptors

          public T remoteAcceptors(List<RemoteAcceptor> value)

      Add all RemoteAcceptor objects to this subresource
      Parameters:
        `value` - List of RemoteAcceptor objects.
      Returns:
        this

    - #### remoteAcceptor

          public T remoteAcceptor(RemoteAcceptor value)

      Add the RemoteAcceptor object to the list of subresources
      Parameters:
        `value` - The RemoteAcceptor to add
      Returns:
        this

    - #### remoteAcceptor

          public T remoteAcceptor(String childKey,
                                  RemoteAcceptorConsumer consumer)

      Create and configure a RemoteAcceptor object to the list of subresources
      Parameters:
        `key` - The key for the RemoteAcceptor resource
        `config` - The RemoteAcceptorConsumer to use
      Returns:
        this

    - #### remoteAcceptor

          public T remoteAcceptor(String childKey)

      Create and configure a RemoteAcceptor object to the list of subresources
      Parameters:
        `key` - The key for the RemoteAcceptor resource
      Returns:
        this

    - #### remoteAcceptor

          public T remoteAcceptor(RemoteAcceptorSupplier supplier)

      Install a supplied RemoteAcceptor object to the list of subresources

    - #### remoteConnectors

          public T remoteConnectors(List<RemoteConnector> value)

      Add all RemoteConnector objects to this subresource
      Parameters:
        `value` - List of RemoteConnector objects.
      Returns:
        this

    - #### remoteConnector

          public T remoteConnector(RemoteConnector value)

      Add the RemoteConnector object to the list of subresources
      Parameters:
        `value` - The RemoteConnector to add
      Returns:
        this

    - #### remoteConnector

          public T remoteConnector(String childKey,
                                   RemoteConnectorConsumer consumer)

      Create and configure a RemoteConnector object to the list of subresources
      Parameters:
        `key` - The key for the RemoteConnector resource
        `config` - The RemoteConnectorConsumer to use
      Returns:
        this

    - #### remoteConnector

          public T remoteConnector(String childKey)

      Create and configure a RemoteConnector object to the list of subresources
      Parameters:
        `key` - The key for the RemoteConnector resource
      Returns:
        this

    - #### remoteConnector

          public T remoteConnector(RemoteConnectorSupplier supplier)

      Install a supplied RemoteConnector object to the list of subresources

    - #### inVmConnectors

          public T inVmConnectors(List<InVMConnector> value)

      Add all InVMConnector objects to this subresource
      Parameters:
        `value` - List of InVMConnector objects.
      Returns:
        this

    - #### inVmConnector

          public T inVmConnector(InVMConnector value)

      Add the InVMConnector object to the list of subresources
      Parameters:
        `value` - The InVMConnector to add
      Returns:
        this

    - #### inVmConnector

          public T inVmConnector(String childKey,
                                 InVMConnectorConsumer consumer)

      Create and configure a InVMConnector object to the list of subresources
      Parameters:
        `key` - The key for the InVMConnector resource
        `config` - The InVMConnectorConsumer to use
      Returns:
        this

    - #### inVmConnector

          public T inVmConnector(String childKey)

      Create and configure a InVMConnector object to the list of subresources
      Parameters:
        `key` - The key for the InVMConnector resource
      Returns:
        this

    - #### inVmConnector

          public T inVmConnector(InVMConnectorSupplier supplier)

      Install a supplied InVMConnector object to the list of subresources

    - #### legacyConnectionFactories

          public T legacyConnectionFactories(List<LegacyConnectionFactory> value)

      Add all LegacyConnectionFactory objects to this subresource
      Parameters:
        `value` - List of LegacyConnectionFactory objects.
      Returns:
        this

    - #### legacyConnectionFactory

          public T legacyConnectionFactory(LegacyConnectionFactory value)

      Add the LegacyConnectionFactory object to the list of subresources
      Parameters:
        `value` - The LegacyConnectionFactory to add
      Returns:
        this

    - #### legacyConnectionFactory

          public T legacyConnectionFactory(String childKey,
                                           LegacyConnectionFactoryConsumer consumer)

      Create and configure a LegacyConnectionFactory object to the list of subresources
      Parameters:
        `key` - The key for the LegacyConnectionFactory resource
        `config` - The LegacyConnectionFactoryConsumer to use
      Returns:
        this

    - #### legacyConnectionFactory

          public T legacyConnectionFactory(String childKey)

      Create and configure a LegacyConnectionFactory object to the list of subresources
      Parameters:
        `key` - The key for the LegacyConnectionFactory resource
      Returns:
        this

    - #### legacyConnectionFactory

          public T legacyConnectionFactory(LegacyConnectionFactorySupplier supplier)

      Install a supplied LegacyConnectionFactory object to the list of subresources

    - #### groupingHandlers

          public T groupingHandlers(List<GroupingHandler> value)

      Add all GroupingHandler objects to this subresource
      Parameters:
        `value` - List of GroupingHandler objects.
      Returns:
        this

    - #### groupingHandler

          public T groupingHandler(GroupingHandler value)

      Add the GroupingHandler object to the list of subresources
      Parameters:
        `value` - The GroupingHandler to add
      Returns:
        this

    - #### groupingHandler

          public T groupingHandler(String childKey,
                                   GroupingHandlerConsumer consumer)

      Create and configure a GroupingHandler object to the list of subresources
      Parameters:
        `key` - The key for the GroupingHandler resource
        `config` - The GroupingHandlerConsumer to use
      Returns:
        this

    - #### groupingHandler

          public T groupingHandler(String childKey)

      Create and configure a GroupingHandler object to the list of subresources
      Parameters:
        `key` - The key for the GroupingHandler resource
      Returns:
        this

    - #### groupingHandler

          public T groupingHandler(GroupingHandlerSupplier supplier)

      Install a supplied GroupingHandler object to the list of subresources

    - #### jmsTopics

          public T jmsTopics(List<JMSTopic> value)

      Add all JMSTopic objects to this subresource
      Parameters:
        `value` - List of JMSTopic objects.
      Returns:
        this

    - #### jmsTopic

          public T jmsTopic(JMSTopic value)

      Add the JMSTopic object to the list of subresources
      Parameters:
        `value` - The JMSTopic to add
      Returns:
        this

    - #### jmsTopic

          public T jmsTopic(String childKey,
                            JMSTopicConsumer consumer)

      Create and configure a JMSTopic object to the list of subresources
      Parameters:
        `key` - The key for the JMSTopic resource
        `config` - The JMSTopicConsumer to use
      Returns:
        this

    - #### jmsTopic

          public T jmsTopic(String childKey)

      Create and configure a JMSTopic object to the list of subresources
      Parameters:
        `key` - The key for the JMSTopic resource
      Returns:
        this

    - #### jmsTopic

          public T jmsTopic(JMSTopicSupplier supplier)

      Install a supplied JMSTopic object to the list of subresources

    - #### connectors

          public T connectors(List<Connector> value)

      Add all Connector objects to this subresource
      Parameters:
        `value` - List of Connector objects.
      Returns:
        this

    - #### connector

          public T connector(Connector value)

      Add the Connector object to the list of subresources
      Parameters:
        `value` - The Connector to add
      Returns:
        this

    - #### connector

          public T connector(String childKey,
                             ConnectorConsumer consumer)

      Create and configure a Connector object to the list of subresources
      Parameters:
        `key` - The key for the Connector resource
        `config` - The ConnectorConsumer to use
      Returns:
        this

    - #### connector

          public T connector(String childKey)

      Create and configure a Connector object to the list of subresources
      Parameters:
        `key` - The key for the Connector resource
      Returns:
        this

    - #### connector

          public T connector(ConnectorSupplier supplier)

      Install a supplied Connector object to the list of subresources

    - #### securitySettings

          public T securitySettings(List<SecuritySetting> value)

      Add all SecuritySetting objects to this subresource
      Parameters:
        `value` - List of SecuritySetting objects.
      Returns:
        this

    - #### securitySetting

          public T securitySetting(SecuritySetting value)

      Add the SecuritySetting object to the list of subresources
      Parameters:
        `value` - The SecuritySetting to add
      Returns:
        this

    - #### securitySetting

          public T securitySetting(String childKey,
                                   SecuritySettingConsumer consumer)

      Create and configure a SecuritySetting object to the list of subresources
      Parameters:
        `key` - The key for the SecuritySetting resource
        `config` - The SecuritySettingConsumer to use
      Returns:
        this

    - #### securitySetting

          public T securitySetting(String childKey)

      Create and configure a SecuritySetting object to the list of subresources
      Parameters:
        `key` - The key for the SecuritySetting resource
      Returns:
        this

    - #### securitySetting

          public T securitySetting(SecuritySettingSupplier supplier)

      Install a supplied SecuritySetting object to the list of subresources

    - #### coreAddress

          public T coreAddress(List<CoreAddress> value)

      Add all CoreAddress objects to this subresource
      Parameters:
        `value` - List of CoreAddress objects.
      Returns:
        this

    - #### coreAddress

          public T coreAddress(CoreAddress value)

      Add the CoreAddress object to the list of subresources
      Parameters:
        `value` - The CoreAddress to add
      Returns:
        this

    - #### coreAddress

          public T coreAddress(String childKey,
                               CoreAddressConsumer consumer)

      Create and configure a CoreAddress object to the list of subresources
      Parameters:
        `key` - The key for the CoreAddress resource
        `config` - The CoreAddressConsumer to use
      Returns:
        this

    - #### coreAddress

          public T coreAddress(String childKey)

      Create and configure a CoreAddress object to the list of subresources
      Parameters:
        `key` - The key for the CoreAddress resource
      Returns:
        this

    - #### coreAddress

          public T coreAddress(CoreAddressSupplier supplier)

      Install a supplied CoreAddress object to the list of subresources

    - #### bridges

          public T bridges(List<Bridge> value)

      Add all Bridge objects to this subresource
      Parameters:
        `value` - List of Bridge objects.
      Returns:
        this

    - #### bridge

          public T bridge(Bridge value)

      Add the Bridge object to the list of subresources
      Parameters:
        `value` - The Bridge to add
      Returns:
        this

    - #### bridge

          public T bridge(String childKey,
                          BridgeConsumer consumer)

      Create and configure a Bridge object to the list of subresources
      Parameters:
        `key` - The key for the Bridge resource
        `config` - The BridgeConsumer to use
      Returns:
        this

    - #### bridge

          public T bridge(String childKey)

      Create and configure a Bridge object to the list of subresources
      Parameters:
        `key` - The key for the Bridge resource
      Returns:
        this

    - #### bridge

          public T bridge(BridgeSupplier supplier)

      Install a supplied Bridge object to the list of subresources

    - #### queues

          public T queues(List<Queue> value)

      Add all Queue objects to this subresource
      Parameters:
        `value` - List of Queue objects.
      Returns:
        this

    - #### queue

          public T queue(Queue value)

      Add the Queue object to the list of subresources
      Parameters:
        `value` - The Queue to add
      Returns:
        this

    - #### queue

          public T queue(String childKey,
                         QueueConsumer consumer)

      Create and configure a Queue object to the list of subresources
      Parameters:
        `key` - The key for the Queue resource
        `config` - The QueueConsumer to use
      Returns:
        this

    - #### queue

          public T queue(String childKey)

      Create and configure a Queue object to the list of subresources
      Parameters:
        `key` - The key for the Queue resource
      Returns:
        this

    - #### queue

          public T queue(QueueSupplier supplier)

      Install a supplied Queue object to the list of subresources

    - #### sharedStoreColocatedHaPolicy

          public T sharedStoreColocatedHaPolicy(SharedStoreColocatedHAPolicy value)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### sharedStoreColocatedHaPolicy

          public T sharedStoreColocatedHaPolicy(SharedStoreColocatedHAPolicyConsumer consumer)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### sharedStoreColocatedHaPolicy

          public T sharedStoreColocatedHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### sharedStoreColocatedHaPolicy

          public T sharedStoreColocatedHaPolicy(SharedStoreColocatedHAPolicySupplier supplier)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationMasterHaPolicy

          public T replicationMasterHaPolicy(ReplicationMasterHAPolicy value)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationMasterHaPolicy

          public T replicationMasterHaPolicy(ReplicationMasterHAPolicyConsumer consumer)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationMasterHaPolicy

          public T replicationMasterHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationMasterHaPolicy

          public T replicationMasterHaPolicy(ReplicationMasterHAPolicySupplier supplier)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### sharedStoreMasterHaPolicy

          public T sharedStoreMasterHaPolicy(SharedStoreMasterHAPolicy value)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### sharedStoreMasterHaPolicy

          public T sharedStoreMasterHaPolicy(SharedStoreMasterHAPolicyConsumer consumer)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### sharedStoreMasterHaPolicy

          public T sharedStoreMasterHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### sharedStoreMasterHaPolicy

          public T sharedStoreMasterHaPolicy(SharedStoreMasterHAPolicySupplier supplier)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### bindingsDirectoryPath

          public T bindingsDirectoryPath(BindingsDirectoryPath value)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### bindingsDirectoryPath

          public T bindingsDirectoryPath(BindingsDirectoryPathConsumer consumer)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### bindingsDirectoryPath

          public T bindingsDirectoryPath()

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### bindingsDirectoryPath

          public T bindingsDirectoryPath(BindingsDirectoryPathSupplier supplier)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### replicationColocatedHaPolicy

          public T replicationColocatedHaPolicy(ReplicationColocatedHAPolicy value)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationColocatedHaPolicy

          public T replicationColocatedHaPolicy(ReplicationColocatedHAPolicyConsumer consumer)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationColocatedHaPolicy

          public T replicationColocatedHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationColocatedHaPolicy

          public T replicationColocatedHaPolicy(ReplicationColocatedHAPolicySupplier supplier)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### journalDirectoryPath

          public T journalDirectoryPath(JournalDirectoryPath value)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### journalDirectoryPath

          public T journalDirectoryPath(JournalDirectoryPathConsumer consumer)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### journalDirectoryPath

          public T journalDirectoryPath()

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### journalDirectoryPath

          public T journalDirectoryPath(JournalDirectoryPathSupplier supplier)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### sharedStoreSlaveHaPolicy

          public T sharedStoreSlaveHaPolicy(SharedStoreSlaveHAPolicy value)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### sharedStoreSlaveHaPolicy

          public T sharedStoreSlaveHaPolicy(SharedStoreSlaveHAPolicyConsumer consumer)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### sharedStoreSlaveHaPolicy

          public T sharedStoreSlaveHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### sharedStoreSlaveHaPolicy

          public T sharedStoreSlaveHaPolicy(SharedStoreSlaveHAPolicySupplier supplier)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### pagingDirectoryPath

          public T pagingDirectoryPath(PagingDirectoryPath value)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### pagingDirectoryPath

          public T pagingDirectoryPath(PagingDirectoryPathConsumer consumer)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### pagingDirectoryPath

          public T pagingDirectoryPath()

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### pagingDirectoryPath

          public T pagingDirectoryPath(PagingDirectoryPathSupplier supplier)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### largeMessagesDirectoryPath

          public T largeMessagesDirectoryPath(LargeMessagesDirectoryPath value)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### largeMessagesDirectoryPath

          public T largeMessagesDirectoryPath(LargeMessagesDirectoryPathConsumer consumer)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### largeMessagesDirectoryPath

          public T largeMessagesDirectoryPath()

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### largeMessagesDirectoryPath

          public T largeMessagesDirectoryPath(LargeMessagesDirectoryPathSupplier supplier)

      A filesystem path pointing to one of the locations where ActiveMQ stores persistent data.

    - #### liveOnlyHaPolicy

          public T liveOnlyHaPolicy(LiveOnlyHAPolicy value)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### liveOnlyHaPolicy

          public T liveOnlyHaPolicy(LiveOnlyHAPolicyConsumer consumer)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### liveOnlyHaPolicy

          public T liveOnlyHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### liveOnlyHaPolicy

          public T liveOnlyHaPolicy(LiveOnlyHAPolicySupplier supplier)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationSlaveHaPolicy

          public T replicationSlaveHaPolicy(ReplicationSlaveHAPolicy value)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationSlaveHaPolicy

          public T replicationSlaveHaPolicy(ReplicationSlaveHAPolicyConsumer consumer)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationSlaveHaPolicy

          public T replicationSlaveHaPolicy()

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### replicationSlaveHaPolicy

          public T replicationSlaveHaPolicy(ReplicationSlaveHAPolicySupplier supplier)

      A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

    - #### active

          public Boolean active()

      Whether the server is active (and accepting connections) or passive (in backup mode, waiting for failover).

    - #### active

          public T active(Boolean value)

      Whether the server is active (and accepting connections) or passive (in backup mode, waiting for failover).

    - #### asyncConnectionExecutionEnabled

          public Boolean asyncConnectionExecutionEnabled()

      Whether incoming packets on the server should be handed off to a thread from the thread pool for processing. False if they should be handled on the remoting thread.

    - #### asyncConnectionExecutionEnabled

          public T asyncConnectionExecutionEnabled(Boolean value)

      Whether incoming packets on the server should be handed off to a thread from the thread pool for processing. False if they should be handled on the remoting thread.

    - #### connectionTtlOverride

          public Long connectionTtlOverride()

      If set, this will override how long (in ms) to keep a connection alive without receiving a ping.

    - #### connectionTtlOverride

          public T connectionTtlOverride(Long value)

      If set, this will override how long (in ms) to keep a connection alive without receiving a ping.

    - #### idCacheSize

          public Integer idCacheSize()

      The size of the cache for pre-creating message IDs.

    - #### idCacheSize

          public T idCacheSize(Integer value)

      The size of the cache for pre-creating message IDs.

    - #### incomingInterceptors

          public List<Map> incomingInterceptors()

      The list of incoming interceptor classes used by this server.

    - #### incomingInterceptors

          public T incomingInterceptors(List<Map> value)

      The list of incoming interceptor classes used by this server.

    - #### incomingInterceptor

          public T incomingInterceptor(Map value)

      The list of incoming interceptor classes used by this server.

    - #### incomingInterceptors

          public T incomingInterceptors(Map... args)

      The list of incoming interceptor classes used by this server.

    - #### outgoingInterceptors

          public List<Map> outgoingInterceptors()

      The list of outgoing interceptor classes used by this server.

    - #### outgoingInterceptors

          public T outgoingInterceptors(List<Map> value)

      The list of outgoing interceptor classes used by this server.

    - #### outgoingInterceptor

          public T outgoingInterceptor(Map value)

      The list of outgoing interceptor classes used by this server.

    - #### outgoingInterceptors

          public T outgoingInterceptors(Map... args)

      The list of outgoing interceptor classes used by this server.

    - #### pageMaxConcurrentIo

          public Integer pageMaxConcurrentIo()

      The maximum number of concurrent reads allowed on paging

    - #### pageMaxConcurrentIo

          public T pageMaxConcurrentIo(Integer value)

      The maximum number of concurrent reads allowed on paging

    - #### persistDeliveryCountBeforeDelivery

          public Boolean persistDeliveryCountBeforeDelivery()

      Whether the delivery count is persisted before delivery. False means that this only happens after a message has been cancelled.

    - #### persistDeliveryCountBeforeDelivery

          public T persistDeliveryCountBeforeDelivery(Boolean value)

      Whether the delivery count is persisted before delivery. False means that this only happens after a message has been cancelled.

    - #### persistIdCache

          public Boolean persistIdCache()

      Whether IDs are persisted to the journal.

    - #### persistIdCache

          public T persistIdCache(Boolean value)

      Whether IDs are persisted to the journal.

    - #### persistenceEnabled

          public Boolean persistenceEnabled()

      Whether the server will use the file based journal for persistence.

    - #### persistenceEnabled

          public T persistenceEnabled(Boolean value)

      Whether the server will use the file based journal for persistence.

    - #### scheduledThreadPoolMaxSize

          public Integer scheduledThreadPoolMaxSize()

      The number of threads that the main scheduled thread pool has.

    - #### scheduledThreadPoolMaxSize

          public T scheduledThreadPoolMaxSize(Integer value)

      The number of threads that the main scheduled thread pool has.

    - #### started

          public Boolean started()

      Whether this server is started.

    - #### started

          public T started(Boolean value)

      Whether this server is started.

    - #### threadPoolMaxSize

          public Integer threadPoolMaxSize()

      The number of threads that the main thread pool has. -1 means no limit.

    - #### threadPoolMaxSize

          public T threadPoolMaxSize(Integer value)

      The number of threads that the main thread pool has. -1 means no limit.

    - #### version

          public String version()

      The server's version.

    - #### version

          public T version(String value)

      The server's version.

    - #### wildCardRoutingEnabled

          public Boolean wildCardRoutingEnabled()

      Whether the server supports wild card routing.

    - #### wildCardRoutingEnabled

          public T wildCardRoutingEnabled(Boolean value)

      Whether the server supports wild card routing.

    - #### clusterCredentialReference

          public Map clusterCredentialReference()

      Credential (from Credential Store) to authenticate to cluster

    - #### clusterCredentialReference

          public T clusterCredentialReference(Map value)

      Credential (from Credential Store) to authenticate to cluster

    - #### clusterCredentialReference

          public T clusterCredentialReference(String key,
                                              Object value)

      Credential (from Credential Store) to authenticate to cluster

    - #### clusterPassword

          public String clusterPassword()

      The password used by cluster connections to communicate between the clustered nodes.

    - #### clusterPassword

          public T clusterPassword(String value)

      The password used by cluster connections to communicate between the clustered nodes.

    - #### clusterUser

          public String clusterUser()

      The user used by cluster connections to communicate between the clustered nodes.

    - #### clusterUser

          public T clusterUser(String value)

      The user used by cluster connections to communicate between the clustered nodes.

    - #### memoryMeasureInterval

          public Long memoryMeasureInterval()

      Frequency to sample JVM memory in ms (or -1 to disable memory sampling)

    - #### memoryMeasureInterval

          public T memoryMeasureInterval(Long value)

      Frequency to sample JVM memory in ms (or -1 to disable memory sampling)

    - #### memoryWarningThreshold

          public Integer memoryWarningThreshold()

      Percentage of available memory which if exceeded results in a warning log

    - #### memoryWarningThreshold

          public T memoryWarningThreshold(Integer value)

      Percentage of available memory which if exceeded results in a warning log

    - #### perfBlastPages

          public Integer perfBlastPages()

      Number of pages to add to check the journal performance (only meant to be used to test performance of pages).

    - #### perfBlastPages

          public T perfBlastPages(Integer value)

      Number of pages to add to check the journal performance (only meant to be used to test performance of pages).

    - #### runSyncSpeedTest

          public Boolean runSyncSpeedTest()

      Whether on startup to perform a diagnostic test on how fast your disk can sync. Useful when determining performance issues.

    - #### runSyncSpeedTest

          public T runSyncSpeedTest(Boolean value)

      Whether on startup to perform a diagnostic test on how fast your disk can sync. Useful when determining performance issues.

    - #### serverDumpInterval

          public Long serverDumpInterval()

      How often to dump basic runtime information to the server log. A value less than 1 disables this feature.

    - #### serverDumpInterval

          public T serverDumpInterval(Long value)

      How often to dump basic runtime information to the server log. A value less than 1 disables this feature.

    - #### createBindingsDir

          public Boolean createBindingsDir()

      Whether the server should create the bindings directory on start up.

    - #### createBindingsDir

          public T createBindingsDir(Boolean value)

      Whether the server should create the bindings directory on start up.

    - #### createJournalDir

          public Boolean createJournalDir()

      Whether the server should create the journal directory on start up.

    - #### createJournalDir

          public T createJournalDir(Boolean value)

      Whether the server should create the journal directory on start up.

    - #### journalBindingsTable

          public String journalBindingsTable()

      Name of the JDBC table to store the bindings.

    - #### journalBindingsTable

          public T journalBindingsTable(String value)

      Name of the JDBC table to store the bindings.

    - #### journalBufferSize

          public Long journalBufferSize()

      The size of the internal buffer on the journal.

    - #### journalBufferSize

          public T journalBufferSize(Long value)

      The size of the internal buffer on the journal.

    - #### journalBufferTimeout

          public Long journalBufferTimeout()

      The timeout (in nanoseconds) used to flush internal buffers on the journal.

    - #### journalBufferTimeout

          public T journalBufferTimeout(Long value)

      The timeout (in nanoseconds) used to flush internal buffers on the journal.

    - #### journalCompactMinFiles

          public Integer journalCompactMinFiles()

      The minimal number of journal data files before we can start compacting.

    - #### journalCompactMinFiles

          public T journalCompactMinFiles(Integer value)

      The minimal number of journal data files before we can start compacting.

    - #### journalCompactPercentage

          public Integer journalCompactPercentage()

      The percentage of live data on which we consider compacting the journal.

    - #### journalCompactPercentage

          public T journalCompactPercentage(Integer value)

      The percentage of live data on which we consider compacting the journal.

    - #### journalDatabase

          public String journalDatabase()

      Type of the database (can be used to customize SQL statements). If this attribute is not specified, the type of the database will be determined based on the DataSource metadata.

    - #### journalDatabase

          public T journalDatabase(String value)

      Type of the database (can be used to customize SQL statements). If this attribute is not specified, the type of the database will be determined based on the DataSource metadata.

    - #### journalDatasource

          public String journalDatasource()

      Name of the DataSource for the JDBC store.

    - #### journalDatasource

          public T journalDatasource(String value)

      Name of the DataSource for the JDBC store.

    - #### journalFileSize

          public Long journalFileSize()

      The size (in bytes) of each journal file.

    - #### journalFileSize

          public T journalFileSize(Long value)

      The size (in bytes) of each journal file.

    - #### journalJdbcNetworkTimeout

          public Integer journalJdbcNetworkTimeout()

      The timeout used by the JDBC connection to detect network issues.

    - #### journalJdbcNetworkTimeout

          public T journalJdbcNetworkTimeout(Integer value)

      The timeout used by the JDBC connection to detect network issues.

    - #### journalJmsBindingsTable

          public String journalJmsBindingsTable()

      Name of the JDBC table to store the JMS bindings.

    - #### journalJmsBindingsTable

          public T journalJmsBindingsTable(String value)

      Name of the JDBC table to store the JMS bindings.

    - #### journalLargeMessagesTable

          public String journalLargeMessagesTable()

      Name of the JDBC table to store the large messages.

    - #### journalLargeMessagesTable

          public T journalLargeMessagesTable(String value)

      Name of the JDBC table to store the large messages.

    - #### journalMaxIo

          public Integer journalMaxIo()

      The maximum number of write requests that can be in the AIO queue at any one time.

    - #### journalMaxIo

          public T journalMaxIo(Integer value)

      The maximum number of write requests that can be in the AIO queue at any one time.

    - #### journalMessagesTable

          public String journalMessagesTable()

      Name of the JDBC table to store the messages.

    - #### journalMessagesTable

          public T journalMessagesTable(String value)

      Name of the JDBC table to store the messages.

    - #### journalMinFiles

          public Integer journalMinFiles()

      How many journal files to pre-create.

    - #### journalMinFiles

          public T journalMinFiles(Integer value)

      How many journal files to pre-create.

    - #### journalPageStoreTable

          public String journalPageStoreTable()

      Name of the JDBC table to store pages.

    - #### journalPageStoreTable

          public T journalPageStoreTable(String value)

      Name of the JDBC table to store pages.

    - #### journalPoolFiles

          public Integer journalPoolFiles()

      The number of journal files that can be reused. ActiveMQ will create as many files as needed however when reclaiming files it will shrink back to the value (-1 means no limit).

    - #### journalPoolFiles

          public T journalPoolFiles(Integer value)

      The number of journal files that can be reused. ActiveMQ will create as many files as needed however when reclaiming files it will shrink back to the value (-1 means no limit).

    - #### journalSyncNonTransactional

          public Boolean journalSyncNonTransactional()

      Whether to wait for non transaction data to be synced to the journal before returning a response to the client.

    - #### journalSyncNonTransactional

          public T journalSyncNonTransactional(Boolean value)

      Whether to wait for non transaction data to be synced to the journal before returning a response to the client.

    - #### journalSyncTransactional

          public Boolean journalSyncTransactional()

      Whether to wait for transaction data to be synchronized to the journal before returning a response to the client.

    - #### journalSyncTransactional

          public T journalSyncTransactional(Boolean value)

      Whether to wait for transaction data to be synchronized to the journal before returning a response to the client.

    - #### journalType

          public Server.JournalType journalType()

      The type of journal to use.

    - #### journalType

          public T journalType(Server.JournalType value)

      The type of journal to use.

    - #### logJournalWriteRate

          public Boolean logJournalWriteRate()

      Whether to periodically log the journal's write rate and flush rate.

    - #### logJournalWriteRate

          public T logJournalWriteRate(Boolean value)

      Whether to periodically log the journal's write rate and flush rate.

    - #### jmxDomain

          public String jmxDomain()

      The JMX domain used to register internal ActiveMQ MBeans in the MBeanServer.

    - #### jmxDomain

          public T jmxDomain(String value)

      The JMX domain used to register internal ActiveMQ MBeans in the MBeanServer.

    - #### jmxManagementEnabled

          public Boolean jmxManagementEnabled()

      Whether ActiveMQ should expose its internal management API via JMX. This is not recommended, as accessing these MBeans can lead to inconsistent configuration.

    - #### jmxManagementEnabled

          public T jmxManagementEnabled(Boolean value)

      Whether ActiveMQ should expose its internal management API via JMX. This is not recommended, as accessing these MBeans can lead to inconsistent configuration.

    - #### managementAddress

          public String managementAddress()

      Address to send management messages to.

    - #### managementAddress

          public T managementAddress(String value)

      Address to send management messages to.

    - #### managementNotificationAddress

          public String managementNotificationAddress()

      The name of the address that consumers bind to to receive management notifications.

    - #### managementNotificationAddress

          public T managementNotificationAddress(String value)

      The name of the address that consumers bind to to receive management notifications.

    - #### messageExpiryScanPeriod

          public Long messageExpiryScanPeriod()

      How often (in ms) to scan for expired messages.

    - #### messageExpiryScanPeriod

          public T messageExpiryScanPeriod(Long value)

      How often (in ms) to scan for expired messages.

    - #### messageExpiryThreadPriority

          public Integer messageExpiryThreadPriority()

      The priority of the thread expiring messages.

    - #### messageExpiryThreadPriority

          public T messageExpiryThreadPriority(Integer value)

      The priority of the thread expiring messages.

    - #### elytronDomain

          public String elytronDomain()

      The name of the Elytron security domain used to verify user and role information.

    - #### elytronDomain

          public T elytronDomain(String value)

      The name of the Elytron security domain used to verify user and role information.

    - #### overrideInVmSecurity

          public Boolean overrideInVmSecurity()

      Whether the ActiveMQ server will override security credentials for in-vm connections.

    - #### overrideInVmSecurity

          public T overrideInVmSecurity(Boolean value)

      Whether the ActiveMQ server will override security credentials for in-vm connections.

    - #### securityEnabled

          public Boolean securityEnabled()

      Whether security is enabled.

    - #### securityEnabled

          public T securityEnabled(Boolean value)

      Whether security is enabled.

    - #### securityInvalidationInterval

          public Long securityInvalidationInterval()

      How long (in ms) to wait before invalidating the security cache.

    - #### securityInvalidationInterval

          public T securityInvalidationInterval(Long value)

      How long (in ms) to wait before invalidating the security cache.

    - #### messageCounterMaxDayHistory

          public Integer messageCounterMaxDayHistory()

      How many days to keep message counter history.

    - #### messageCounterMaxDayHistory

          public T messageCounterMaxDayHistory(Integer value)

      How many days to keep message counter history.

    - #### messageCounterSamplePeriod

          public Long messageCounterSamplePeriod()

      The sample period (in ms) to use for message counters.

    - #### messageCounterSamplePeriod

          public T messageCounterSamplePeriod(Long value)

      The sample period (in ms) to use for message counters.

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      Whether gathering of statistics such as message counters are enabled.

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      Whether gathering of statistics such as message counters are enabled.

    - #### transactionTimeout

          public Long transactionTimeout()

      How long (in ms) before a transaction can be removed from the resource manager after create time.

    - #### transactionTimeout

          public T transactionTimeout(Long value)

      How long (in ms) before a transaction can be removed from the resource manager after create time.

    - #### transactionTimeoutScanPeriod

          public Long transactionTimeoutScanPeriod()

      How often (in ms) to scan for timeout transactions.

    - #### transactionTimeoutScanPeriod

          public T transactionTimeoutScanPeriod(Long value)

      How often (in ms) to scan for timeout transactions.

Copyright © 2017 JBoss by Red Hat. All rights reserved.